import {useContext} from "react";
import {TableSettingContext} from "../contexts/tableSetting";

const useTableSetting = () => {
    const {settingStore, hideAction, sortAction, filterAction, refactorAction} =
        useContext(TableSettingContext);
    return {settingStore, hideAction, sortAction, filterAction, refactorAction};
};

export default useTableSetting;
